<div>
  <div class="d-flex justify-content-center">
    @if (account$ | async; as account) {
      <div class="col-md-8">
        <h2 jhiTranslate="password.title" [translateValues]="{ username: account.login }">
          Passwort für [<strong>{{ account.login }}</strong
          >]
        </h2>

        @if (success()) {
          <div class="alert alert-success" jhiTranslate="password.messages.success"><strong>Passwort wurde geändert!</strong></div>
        }
        @if (error()) {
          <div class="alert alert-danger" jhiTranslate="password.messages.error">
            <strong>Es ist ein Fehler aufgetreten!</strong> Das Passwort konnte nicht geändert werden.
          </div>
        }
        @if (doNotMatch()) {
          <div class="alert alert-danger" jhiTranslate="global.messages.error.dontmatch">
            Das bestätigte Passwort entspricht nicht dem neuen Passwort!
          </div>
        }

        <form name="form" (ngSubmit)="changePassword()" [formGroup]="passwordForm">
          <div class="mb-3">
            <label class="form-label" for="currentPassword" jhiTranslate="global.form.currentpassword.label">Aktuelles Passwort</label>
            <input
              type="password"
              class="form-control"
              id="currentPassword"
              name="currentPassword"
              placeholder="{{ 'global.form.currentpassword.placeholder' | translate }}"
              formControlName="currentPassword"
              data-cy="currentPassword"
            />

            @if (
              passwordForm.get('currentPassword')!.invalid &&
              (passwordForm.get('currentPassword')!.dirty || passwordForm.get('currentPassword')!.touched)
            ) {
              <div>
                @if (passwordForm.get('currentPassword')?.errors?.required) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.newpassword.required"
                    >Ein neues Passwort wird benötigt.</small
                  >
                }
              </div>
            }
          </div>

          <div class="mb-3">
            <label class="form-label" for="newPassword" jhiTranslate="global.form.newpassword.label">Neues Passwort</label>
            <input
              type="password"
              class="form-control"
              id="newPassword"
              name="newPassword"
              placeholder="{{ 'global.form.newpassword.placeholder' | translate }}"
              formControlName="newPassword"
              data-cy="newPassword"
            />

            @if (
              passwordForm.get('newPassword')!.invalid &&
              (passwordForm.get('newPassword')!.dirty || passwordForm.get('newPassword')!.touched)
            ) {
              <div>
                @if (passwordForm.get('newPassword')?.errors?.required) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.newpassword.required"
                    >Ein neues Passwort wird benötigt.</small
                  >
                }

                @if (passwordForm.get('newPassword')?.errors?.minlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.newpassword.minlength"
                    >Das neue Passwort muss mindestens 4 Zeichen lang sein</small
                  >
                }

                @if (passwordForm.get('newPassword')?.errors?.maxlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.newpassword.maxlength"
                    >Das neue Passwort darf nicht länger als 50 Zeichen sein</small
                  >
                }
              </div>
            }

            <jhi-password-strength-bar [passwordToCheck]="passwordForm.get('newPassword')!.value"></jhi-password-strength-bar>
          </div>

          <div class="mb-3">
            <label class="form-label" for="confirmPassword" jhiTranslate="global.form.confirmpassword.label"
              >Neues Passwort bestätigen</label
            >
            <input
              type="password"
              class="form-control"
              id="confirmPassword"
              name="confirmPassword"
              placeholder="{{ 'global.form.confirmpassword.placeholder' | translate }}"
              formControlName="confirmPassword"
              data-cy="confirmPassword"
            />

            @if (
              passwordForm.get('confirmPassword')!.invalid &&
              (passwordForm.get('confirmPassword')!.dirty || passwordForm.get('confirmPassword')!.touched)
            ) {
              <div>
                @if (passwordForm.get('confirmPassword')?.errors?.required) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.confirmpassword.required"
                    >Sie müssen das Passwort bestätigen.</small
                  >
                }

                @if (passwordForm.get('confirmPassword')?.errors?.minlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.confirmpassword.minlength"
                    >Das bestätigte Passwort muss mindestens 4 Zeichen lang sein</small
                  >
                }

                @if (passwordForm.get('confirmPassword')?.errors?.maxlength) {
                  <small class="form-text text-danger" jhiTranslate="global.messages.validate.confirmpassword.maxlength"
                    >Das bestätigte Passwort darf nicht länger als 50 Zeichen sein</small
                  >
                }
              </div>
            }
          </div>

          <button
            type="submit"
            [disabled]="passwordForm.invalid"
            class="btn btn-primary"
            data-cy="submit"
            jhiTranslate="password.form.button"
          >
            Speichern
          </button>
        </form>
      </div>
    }
  </div>
</div>
